Loading...
Searching...
No Matches
DatastructsException Class Reference

`#include <DatastructsException.h>`

Inheritance diagram for DatastructsException:

## Public Member Functions

| DatastructsException (const char *msg)
| construct with an error message
| DatastructsException (std::string msg)
| construct with an error message
const char * | what () const noexcept override
| get the error message
| ~DatastructsException () noexcept override=default

## Detailed Description

Definition at line 17 of file DatastructsException.h.

## Constructor & Destructor Documentation

## DatastructsException() [1/2]

DatastructsException::DatastructsException | ( | const char * | msg | ) |

inline

construct with an error message

Definition at line 20 of file DatastructsException.h.

## DatastructsException() [2/2]

DatastructsException::DatastructsException | ( | std::string | msg | ) |

inline

construct with an error message

Definition at line 22 of file DatastructsException.h.

## ~DatastructsException()

DatastructsException::~DatastructsException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * DatastructsException::what | ( |  | ) | const

inline override noexcept

get the error message

Definition at line 24 of file DatastructsException.h.

The documentation for this class was generated from the following file:

- DatastructsException.h